Bug 799078 (CVE-2012-0213)

Summary: CVE-2012-0213 apache-poi, jakarta: JVM destabilization due to memory exhaustion when processing CDF/CFBF files
Product: [Other] Security Response Reporter: Jan Lieskovsky <jlieskov>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: djorm, dpalmer, epp-bugs, jcoleman, myarboro, ncross, nwallace, orion, rzhang, security-response-team, theute, tkirby, zzoubkov
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20120509,reported=20120301,source=distros,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:N/A:P,fedora-all/apache-poi=affected,epp-5/Portal=affected,soap-4.3/unspecified=notaffected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-09-05 20:54:07 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 820788, 820789    
Bug Blocks: 799097    
Attachments:
Description Flags
Not yet upstream approved patch proposal, provided by Florian Weimer none

Description Jan Lieskovsky 2012-03-01 13:10:50 EST
A flaw was found in the way Apache POI, the Java API for Microsoft Office file formats, handles memory when processing certain Channel Definition Format (CDF) / Compound File Binary Format (CFBF) documents. Apache POI allocates arrays with arbitrary sizes specified in the document. A remote attacker could exploit this flaw by providing a specially-crafted CDF / CFBF file to an application using Apache POI, leading to an to OutOfMemoryError exception in the current thread, or potentially destabilization of the whole Java Virtual Machine instance.
Comment 3 Jan Lieskovsky 2012-03-01 13:40:48 EST
This issue affects the versions of the apache-poi package, as shipped with Fedora release of 15 and 16.
Comment 4 Jan Lieskovsky 2012-03-01 13:42:59 EST
Created attachment 566915 [details]
Not yet upstream approved patch proposal, provided by Florian Weimer
Comment 6 David Jorm 2012-05-10 01:02:47 EDT
Debian security advisory publicly disclosing this flaw:

http://lists.debian.org/debian-security-announce/2012/msg00104.html

Debian patch:

http://snapshot.debian.org/archive/debian-security/20120509T181445Z/pool/updates/main/libj/libjakarta-poi-java/libjakarta-poi-java_3.6%2Bdfsg-1%2Bsqueeze1.diff.gz

See libjakarta-poi-java-3.6+dfsg.orig/debian/patches/05_CVE-2012-0213 within the above file for the isolated patch.
Comment 8 David Jorm 2012-05-10 20:54:45 EDT
Created apache-poi tracking bugs for this issue

Affects: fedora-all [bug 820788]
Comment 9 Orion Poplawski 2012-05-10 23:14:03 EDT
The debian patch appears to be the same as the attached one, so I will apply that.  Is there an upstream issue filed?
Comment 10 David Jorm 2012-05-10 23:22:37 EDT
(In reply to comment #9)
> The debian patch appears to be the same as the attached one, so I will apply
> that.  Is there an upstream issue filed?

Not that I am aware of, I believe this issue was communicated to upstream by email.
Comment 11 Fedora Update System 2012-05-19 02:56:06 EDT
apache-poi-3.8-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2012-05-19 02:56:26 EDT
apache-poi-3.7-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2012-08-03 07:28:38 EDT
apache-poi-3.8-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 errata-xmlrpc 2012-09-05 12:27:10 EDT
This issue has been addressed in following products:

  JBoss Enterprise Portal Platform 5.2.2

Via RHSA-2012:1232 https://rhn.redhat.com/errata/RHSA-2012-1232.html